#include "MyLib.h"

using namespace std;

namespace mylib {

//
//                          文字列の表す数値に変換
//
double StrToDouble( string s ){
              double v;
              if (s.length() == 0) throw myexcept("NULL string@StrToDouble !");
              istringstream istr(s);
              istr >> v;

              if (istr.fail()){
		string ts = "Conversion to double error !...input string = " + s;
		char ccs[100];
		int il = ts.size();
		if (il > 98) il = 98;
		for (int i = 0; i < il; i++)  ccs[i] = ts[i];
		ccs[il] = 0;
		 throw myexcept(ccs);
		}

              return v;
}

int StrToInt( string s ){
              int v;
              if (s.length() == 0) throw myexcept("NULL string@StrToInt !");
              istringstream istr(s);
              istr >> v;

              if (istr.fail()){
		string ts = "Conversion to int error !...input string = " + s;
		char ccs[100];
		int il = ts.size();
		if (il > 98) il = 98;
		for (int i = 0; i < il; i++)  ccs[i] = ts[i];
		ccs[il] = 0;
		 throw myexcept(ccs);
		}

              return v;
}

}
