#ifndef MYLIB_CK
#define MYLIB_CK

#include <string>
#include <sstream>
#include <exception>

using namespace std;

namespace mylib {
//
//		例外生成用クラス型
//
class myexcept: public std::exception {
	public:
		string vsc;

		myexcept( const char * sc ): vsc(sc) { }
		virtual ~myexcept() throw() {}
		string & what() { return vsc; }		
};

//
//                          文字列の表す数値に変換
//
double StrToDouble( string s );
int StrToInt( string s );

}

#endif
